Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.eviction
Class EvictionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.util.NestedException
                  org.jboss.cache.eviction.EvictionException

All Implemented Interfaces:
  org.jboss.util.NestedThrowable, Serializable

public class EvictionException
extends org.jboss.util.NestedException

Author:
  Ben Wang, Feb 11, 2004
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.jboss.util.NestedThrowable
`org.jboss.util.NestedThrowable.Util`

Field Summary

Fields inherited from class org.jboss.util.NestedException
`nested`

Fields inherited from interface org.jboss.util.NestedThrowable
`DETECT_DUPLICATE_NESTING, NESTED_TRACE_ENABLED, PARENT_TRACE_ENABLED`

Constructor Summary
`EvictionException()`
`EvictionException(String msg)`
`EvictionException(String msg, Throwable cause)`

Methods inherited from class org.jboss.util.NestedException
`getCause, getMessage, getNested, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EvictionException

    public EvictionException()

### EvictionException

    public EvictionException(String msg)

### EvictionException

    public EvictionException(String msg,
                             Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.